/*  misc.cpp
    small helper functions that don't fit anywhere else
  
    todo: -

    24.04.2000: tk, initial implementation.

    Copyright (c)2000 by Thomas Kindler, thomas.kindler@gmx.de

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version. Read the
    full License at http://www.gnu.org/copyleft for more details.
*/

// include files -----
//
//#include "mpplayer.hpp"
//#include "sc12\sc12.hpp"

void REP_INSW( void *dest, int port, int numWords )
{
  asm  {
    cld
    mov  cx, numWords
    mov  dx, port
    mov  es, word ptr [dest+2]
    mov  di, word ptr [dest]
    rep  insw
  }
}

void REP_INSB( void *dest, int port, int numBytes )
{
  asm  {
    cld
    mov  cx, numBytes
    mov  dx, port
    mov  es, word ptr [dest+2]
    mov  di, word ptr [dest]
    rep  insb
  }
}

// convert space-padded iso string to '\0'-terminated string
//   always remember that c-strings need one more byte to
//   store the '\0' terminator. so we need to malloc length+1
//   to store the conversion  result.
//
void  IsoToCString( char *cstring, const char *isostring,
                    int    length, bool  isUnicode )
{
  for (int i=0; i<length; i++)  {
    if (isUnicode)
      isostring++;
    cstring[i] = *isostring++;
  }

  cstring[length] = '\0';
  while (length--)
    if (cstring[length] == ' ')
      cstring[length] = '\0';
    else
      break;
}

