#ifndef MPPLAYER_HPP
#define MPPLAYER_HPP

// atomic data types -----
//
typedef  unsigned  long   ulong;
typedef  unsigned  short  ushort;
typedef  unsigned  char   uchar;
typedef  unsigned  int    uint;
typedef  unsigned  short  unichar;
typedef  unsigned  int    ERROR;


// error return codes -----
//   0x0000-0x0fff is generic errors
//   0x1000-0x1fff is ide/ata/atapi errors
//   0x2000-0x2fff is cdfs errors
#define  ERR_OK                    0
#define  ERR_FAIL                  1
#define  ERR_OUTOFMEMORY           2
#define  ERR_ATAERROR         0x1000
#define  ERR_BSYTIMEOUT       0x1001
#define  ERR_DRQTIMEOUT       0x1002
#define  ERR_NOATADEVICE      0x1003
#define  ERR_NOATAPIDEVICE    0x1004
#define  ERR_NODATA           0x1005
#define  ERR_MOREDATA         0x1006
#define  ERR_NOCDDRIVE        0x1007

#define  ERR_NOISO9660        0x2000
#define  ERR_NOJOLIETSVD      0x2001
#define  ERR_TOOMANYFILES     0x2002

#endif
