/*
   CPP-File fr MAS CHIP
*/

#include "i2c_api.h"
//#include "i2c_api.c"
#include <stdio.h>

#define MAS 0x3E		//Basisadresse des MAS Chips
#define MASW MAS
#define MASR MAS+1

unsigned char vol=0x50;
unsigned char bass=0x00;
unsigned char treb=0x00;
unsigned char bal=0x00;

unsigned char getVol(void) {
 return vol;
}

unsigned getBass(void) {
 return (bass);
}

unsigned getTreb(void) {
 return (treb);
}

unsigned getBal(void) {
 return (bal);
}


void init_i2c_pins(void) {
 //   I2C_select_clock_pin(11);
//    I2C_select_data_pin(10);
    I2C_init ();
}

void Init_Audio_Codec(void) {
 unsigned int transmit = 0;
 unsigned char cmd[5] = {0x6C,
 								 0x00,
                         0x00,
                         0x22,
                         0x07};
 unsigned char revbuf2[2];
 unsigned char sendbuf3[3], sendbuf11[11];

 sendbuf11[0] = 0x68;
 sendbuf11[1] = 0xE0;
 sendbuf11[2] = 0x00;
 sendbuf11[3] = 0x00;
 sendbuf11[4] = 0x01;
 sendbuf11[5] = 0x07;
 sendbuf11[6] = 0xF6;
 sendbuf11[7] = 0x00;
 sendbuf11[8] = 0x00;
 sendbuf11[9] = 0x00;
 sendbuf11[10] = 0x40;
 //sendbuf11[10] = 0x40;


 transmit = I2C_transmit_block(MASW,(char*)sendbuf11,11);
 I2C_release();

///*******************************************************************
 sendbuf11[0] = 0x68;
 sendbuf11[1] = 0xE0;
 sendbuf11[2] = 0x00;
 sendbuf11[3] = 0x00;
 sendbuf11[4] = 0x01;
 sendbuf11[5] = 0x07;
 sendbuf11[6] = 0xF7;
 sendbuf11[7] = 0x00;
 sendbuf11[8] = 0x00;
 sendbuf11[9] = 0x00;
 sendbuf11[10] = 0x40;
 //sendbuf11[10] = 0x40;


 transmit = I2C_transmit_block(MASW,(char*)sendbuf11,11);
 I2C_release();


 ///*******************************************************************

 sendbuf11[0] = 0x68;
 sendbuf11[1] = 0xE0;
 sendbuf11[2] = 0x00;
 sendbuf11[3] = 0x00;
 sendbuf11[4] = 0x01;
 sendbuf11[5] = 0x07;
 sendbuf11[6] = 0xF2;
 sendbuf11[7] = 0x00;
 sendbuf11[8] = 0x00;
 sendbuf11[9] = 0x00;
 sendbuf11[10] = 0x05;

 transmit = I2C_transmit_block(MASW,(char*)sendbuf11,11);
 I2C_release();



///*******************************************************************

 sendbuf11[0] = 0x68;
 sendbuf11[1] = 0xE0;
 sendbuf11[2] = 0x00;
 sendbuf11[3] = 0x00;
 sendbuf11[4] = 0x01;
 sendbuf11[5] = 0x07;
 sendbuf11[6] = 0xF1;
 sendbuf11[7] = 0x00;
 sendbuf11[8] = 0x02;
 sendbuf11[9] = 0x02;
 sendbuf11[10] = 0x01;

 transmit = I2C_transmit_block(MASW,(char*)sendbuf11,11);
 I2C_release();


///*******************************************************************
 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }

 //read audio Codec config *****************************************

 sendbuf3[0] = 0x6C;
 sendbuf3[1] = 0x00;
 sendbuf3[2] = 0x00;

 transmit = I2C_transmit_block(MASW,(char *)sendbuf3,3);
 I2C_release();
 I2C_transmit_char(MASW,0x6D);
 I2C_receive_block(MASR,(char*)&revbuf2,2);
 I2C_release();
 printf("Audio Setting: %x\t%x\n",revbuf2[0],revbuf2[1]);

 //MPEC Encoder Sache **********************************************



 //write input mode setting ****************************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x08;
 cmd[3] = 0x00;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }


 //read input mode setting *****************************************

 sendbuf3[0] = 0x6C;
 sendbuf3[1] = 0x00;
 sendbuf3[2] = 0x08;

 transmit = I2C_transmit_block(MASW,(char *)sendbuf3,3);
 I2C_release();
 I2C_transmit_char(MASW,0x6D);
 I2C_receive_block(MASR,(char*)&revbuf2,2);
 I2C_release();
 printf("Input mode Setting: %x\t%x\n",revbuf2[0],revbuf2[1]);


 //write d/a converter source mixer ***********************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;     //MIX ADC Scale
 cmd[2] = 0x06;     //MIX ADC Scale
 cmd[3] = 0x40;     //BIT 15...8
 cmd[4] = 0x00;     //BIT 0...7

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }


 //write d/a converter source mixer ***********************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;     //MIX ADC Scale
 cmd[2] = 0x07;     //MIX ADC Scale
 cmd[3] = 0x40;     //BIT 15...8
 cmd[4] = 0x00;     //BIT 0...7

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }


 //read d/a converter  source mixer *****************************************

 sendbuf3[0] = 0x6C;
 sendbuf3[1] = 0x00;
 sendbuf3[2] = 0x06;

 transmit = I2C_transmit_block(MASW,(char *)sendbuf3,3);
 I2C_release();
 I2C_transmit_char(MASW,0x6D);
 I2C_receive_block(MASR,(char*)&revbuf2,2);
 I2C_release();
 printf("d/a converter source Setting: %x\t%x\n",revbuf2[0],revbuf2[1]);


 //write d/a converter output mode  ****************************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x0E;
 cmd[3] = 0x00;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }


//write automatic volume correcton ********************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x12;
 cmd[3] = 0x00;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }

//write volume ****************************************

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x10;
 cmd[3] = vol;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Init Audio Codec faild\n");
 }else{
   printf("Init Audio Codec sucsess\n");
 }

}

void INIT_I2C(void) {
  unsigned char res; 				//Ergebnisvariable

  printf("Initialisiere I2C-Bus...\n");
 // I2C_init();     //API Funktion zum initialisieren
  I2C_restart();  //API Funktion zum Reset des Busses

  printf("Suche MAS Chip...\n");
  res = I2C_scan(MAS,0x3E);

  if (res != MAS) {
   printf("Keinen Chip an der erwarteten Adresse gefunden!\n");
  }else{
   printf("Chip gefunden an Adresse 0x%02X\n",res);
  }

}

void MAS_DC(void) {
 unsigned int trans;								//transmit Result
 unsigned char cmd0[3] = {0x6A,0x8C,0x00};
 unsigned char cmd1[2] = {0x78,0x78};     //Zu Sendendes Kommando

 //I2C_transmit_char(MAS,0x6A);
 trans = I2C_transmit_block(MAS,(char*)&cmd0,3);
 I2C_release();

 I2C_transmit_char(MAS,0x76);
 trans = I2C_transmit_block(MAS,(char*)&cmd1,2);

 if(trans) {
  		printf("Fehler beim senden....\n");
 }else{
      printf("Erfolgreich...\n");
}

 I2C_release();
}

void MAS_DCr(void) {
	unsigned int trans;
   unsigned char buf[3];

   I2C_transmit_char(MAS,0x6A);
   I2C_receive_block(MAS+1,buf,2);
   I2C_release();

   printf("buf 6A: 0x%2X 0x%2X\n",buf[0],buf[1]);

   I2C_transmit_char(MAS,0x76);
   I2C_receive_block(MAS+1,buf,2);
   I2C_release();

   printf("buf: 0x%2X 0x%2X\n",buf[0],buf[1]);
}

void mas_basics(void) {
// init_i2c_pins();

 INIT_I2C();
 MAS_DC();
 MAS_DCr();
 Init_Audio_Codec();
}

/************************** VOLUME SERVICE ROUTINE ************************/
/**************************************************************************/
//vol kann HEX 00 bis 7F haben...
void mas_setVolume(unsigned char vol) {
 unsigned char cmd[5];
 int transmit;

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x10;
 cmd[3] = vol;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Volume update faild\n");
 }else{
   printf("Volume update sucsess\n");
 }
}

void mas_incVol(void) {
  vol+=2;
  printf("0x%2X",vol);
  if (vol >= 0x7F) vol = 0x7F;
  mas_setVolume(vol);
}

void mas_decVol(void) {
  if (vol != 0x00)
      vol-=2;
  printf("0x%2X",vol);
  mas_setVolume(vol);
}

/************************** BASS SERVICE ROUTINE ************************/
/**************************************************************************/
//vol kann HEX 60 < 0 > A0 haben...
void mas_setBASS(unsigned char vol) {
 unsigned char cmd[5];
 int transmit;

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x14;
 cmd[3] = bass;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Bass update faild\n");
 }else{
   printf("Bass update sucsess\n");
 }
}


void mas_incBass(void) {
  if (bass !=0x60)
     bass+=8;
  printf("0x%2X",bass);
  mas_setBASS(bass);
}

void mas_decBass(void) {
  if (bass !=0xA0)
      bass-=8;
  printf("0x%2X",bass);
  mas_setBASS(bass);
}

/************************** TERB SERVICE ROUTINE ************************/
/**************************************************************************/
//vol kann HEX 60 < 0 > A0 haben...
void mas_setTREB(unsigned char vol) {
 unsigned char cmd[5];
 int transmit;

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x15;
 cmd[3] = treb;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Treb update faild\n");
 }else{
   printf("Treb update sucsess\n");
 }
}


void mas_incTreb(void) {
  if (treb !=0x60)
     treb+=8;
  printf("0x%2X",treb);
  mas_setTREB(treb);
}

void mas_decTreb(void) {
  if (treb !=0xA0)
      treb-=8;
  printf("0x%2X",treb);
  mas_setTREB(treb);
}


/************************** BALANCE SERVICE ROUTINE ************************/
/**************************************************************************/
//vol kann HEX 60 < 0 > A0 haben...
void mas_setBAL(unsigned char vol) {
 unsigned char cmd[5];
 int transmit;

 cmd[0] = 0x6C;
 cmd[1] = 0x00;
 cmd[2] = 0x11;
 cmd[3] = bal;
 cmd[4] = 0x00;

 transmit = I2C_transmit_block(MASW,(char*)cmd,5);
 I2C_release();
 if (transmit)
 {
   printf("Balance update faild\n");
 }else{
   printf("Balance update sucsess\n");
 }
}


void mas_incBal(void) {
  if (bal !=0x7F)
     bal+=1;
  printf("0x%2X",bal);
  mas_setBAL(bal);
}

void mas_decBal(void) {
  if (bal !=0x80)
      bal-=1;
  printf("0x%2X",bal);
  mas_setBAL(bal);
}

